import type { TimerOptions } from 'timers';
export declare let platform: Platform;
export declare function set_platform(_platform: Platform): void;
interface Platform {
    get_buffer(length: number): Uint8Array;
    encode(str: string): Uint8Array;
    delay(milliseconds: number, options?: TimerOptions): Promise<void>;
    strip_ansi(str: string): string;
}
export {};
